import React from 'react';
import classNames from 'classnames';

import { submitEvent } from '../eventWrappers';
import { getNodeRenderOptions, udpateNode } from '../selectors/nodes';

var Expandable = function Expandable(_ref) {
  var _classNames;

  var onChange = _ref.onChange,
      node = _ref.node,
      children = _ref.children,
      _ref$iconsClassNameMa = _ref.iconsClassNameMap,
      iconsClassNameMap = _ref$iconsClassNameMa === undefined ? {
    expanded: 'mi mi-keyboard-arrow-down',
    collapsed: 'mi mi-keyboard-arrow-right'
  } : _ref$iconsClassNameMa;

  var _getNodeRenderOptions = getNodeRenderOptions(node),
      hasChildren = _getNodeRenderOptions.hasChildren,
      isExpanded = _getNodeRenderOptions.isExpanded;

  var className = classNames((_classNames = {}, _classNames[iconsClassNameMap.expanded] = hasChildren && isExpanded, _classNames[iconsClassNameMap.collapsed] = hasChildren && !isExpanded, _classNames));

  var handleChange = function handleChange() {
    return onChange(udpateNode(node, { expanded: !isExpanded }));
  };

  return React.createElement(
    'span',
    null,
    React.createElement('i', {
      id: node.id,
      onKeyDown: submitEvent(handleChange),
      onClick: handleChange,
      className: className }),
    children
  );
};

export default Expandable;