import React from 'react';
import classNames from 'classnames';

import { submitEvent } from '../eventWrappers';
import { getNodeRenderOptions, udpateNode } from '../selectors/nodes';

var Favorite = function Favorite(_ref) {
  var _classNames;

  var onChange = _ref.onChange,
      node = _ref.node,
      _ref$iconsClassNameMa = _ref.iconsClassNameMap,
      iconsClassNameMap = _ref$iconsClassNameMa === undefined ? {
    favorite: 'mi mi-star',
    notFavorite: 'mi mi-star-border'
  } : _ref$iconsClassNameMa,
      children = _ref.children;

  var _getNodeRenderOptions = getNodeRenderOptions(node),
      isFavorite = _getNodeRenderOptions.isFavorite;

  var className = classNames((_classNames = {}, _classNames[iconsClassNameMap.favorite] = isFavorite, _classNames[iconsClassNameMap.notFavorite] = !isFavorite, _classNames));

  var handleChange = function handleChange() {
    return onChange(udpateNode(node, { favorite: !isFavorite }));
  };

  return React.createElement(
    'span',
    null,
    React.createElement('i', {
      onKeyDown: submitEvent(handleChange),
      onClick: handleChange,
      className: className }),
    children
  );
};

export default Favorite;