'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _eventWrappers = require('../eventWrappers');

var _nodes = require('../selectors/nodes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Expandable = function Expandable(_ref) {
  var _classNames;

  var onChange = _ref.onChange,
      node = _ref.node,
      children = _ref.children,
      _ref$iconsClassNameMa = _ref.iconsClassNameMap,
      iconsClassNameMap = _ref$iconsClassNameMa === undefined ? {
    expanded: 'mi mi-keyboard-arrow-down',
    collapsed: 'mi mi-keyboard-arrow-right'
  } : _ref$iconsClassNameMa;

  var _getNodeRenderOptions = (0, _nodes.getNodeRenderOptions)(node),
      hasChildren = _getNodeRenderOptions.hasChildren,
      isExpanded = _getNodeRenderOptions.isExpanded;

  var className = (0, _classnames2.default)((_classNames = {}, _classNames[iconsClassNameMap.expanded] = hasChildren && isExpanded, _classNames[iconsClassNameMap.collapsed] = hasChildren && !isExpanded, _classNames));

  var handleChange = function handleChange() {
    return onChange((0, _nodes.udpateNode)(node, { expanded: !isExpanded }));
  };

  return _react2.default.createElement(
    'span',
    null,
    _react2.default.createElement('i', {
      id: node.id,
      onKeyDown: (0, _eventWrappers.submitEvent)(handleChange),
      onClick: handleChange,
      className: className }),
    children
  );
};

exports.default = Expandable;
module.exports = exports['default'];